Web Home
Getting Started
Manual
Packages
Quick Reference
Language Reference
Function Reference
I/O Reference

- Language Reference
- Function Reference
  - Including Source Files
  - Comments
  - Issuing Shell Commands
  - Matrix Multiplication
  - Information About Variables
  - Elementary Functions
  - Advanced Array Indexing
  - Index Range Functions
  - Logical Functions
  - Interpolation and Lookup Functions
  - Sorting
  - Transposing
  - Manipulating Strings
  - Generating Simple Meshes
  - Using Pointers
  - Instancing Data Structures
  - Reshaping Arrays
- I/O Reference

# Yorick Function Reference

## Logical Functions

`allof(x)` returns 1 if every element of x is non-zero
`anyof(x)` returns 1 if any element of x is non-zero
`noneof(x)` returns 1 if no element of x is non-zero
`nallof(x)` returns 1 if any element of x is zero

`where(x)` returns list of indices where x is non-zero
`where2(x)` human-readable variant of `where`